The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Base class package "version" is empty.

Discussion in 'General Discussion' started by mikro1n5, Jul 16, 2006.

  1. mikro1n5

    mikro1n5 Member

    Joined:
    Jun 25, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Canada
    Hi there,
    I have recently performed an OS reinstall and switched to FC4. I have cpanel installed and facing some problems with it ( cannot dns zone files etc). While trying to perform Cpanel update ( /upcp --force), i spotted the following errors:

    That seems to be a minor problem and is ignored and update continues.

    The following error looks like a big one which doensn't allow Cpanel update to do its job


    The above is repeated like 20+ times b4 it gives up.

    I did find one para that was a bit different near the end:


    How can I fix this?
    Thanks in advance!


    [info]
    WHM 10.8.0 cPanel 10.8.2-R119
    Fedora i686 - WHM X v3.1.0

    Linux blah.com 2.6.17-1.2142_FC4 #1 Tue Jul 11 22:41:14 EDT 2006 i686 athlon i386 GNU/Linux

    perl -v

    This is perl, v5.8.7 built for i686-linux

    [/info]
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    I would suggest logging this with cPanel. It appears there's a problem where two modules are interdependent (i.e. they need each other to install) and so loop.
     
  3. heavypredator

    heavypredator Well-Known Member

    Joined:
    May 2, 2003
    Messages:
    93
    Likes Received:
    1
    Trophy Points:
    8
    got the same problem :/
     
  4. mikro1n5

    mikro1n5 Member

    Joined:
    Jun 25, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Canada
    Forgive my stupidity, by logging did you mean opening a bug ticket with Cpanel?

    I tried switching back to Stable version and run the perl installer ( from layer1 Cpanel update site) , ran upcp --force and now get this:

    Code:
    # locate Version.pm
    /usr/share/automake-1.9/Automake/Version.pm
    /usr/local/cpanel/Cpanel/Version.pm
    /usr/lib/perl5/5.8.6/CPAN/Version.pm
    /usr/lib/perl5/5.8.7/CPAN/Version.pm
    /home/.cpan/build/KWILLIAMS000/Module-Build-0.2803/lib/Module/Build/Version.pm
    /home/.cpan/build/Module-Build-0.2804/lib/Module/Build/Version.pm
    /home/.cpan/build/CPAN-1.87/lib/CPAN/Version.pm
    /home/.cpan/build/CPAN-1.87/blib/lib/CPAN/Version.pm
    

    I am thinking of doing an OS reinstall again. What are the chances I will run into same mess again lol?

    Thanks for the replies!
     
  5. heavypredator

    heavypredator Well-Known Member

    Joined:
    May 2, 2003
    Messages:
    93
    Likes Received:
    1
    Trophy Points:
    8
    99% you will - i have submitted ticket and cpanel people were playing with my box all day nothing yet
     
  6. mikro1n5

    mikro1n5 Member

    Joined:
    Jun 25, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Canada
    bummer, pls update me on this matter if you succeed. I don't think i can get direct Cpanel support as the license is through the Hosting provider.

    What OS your running Heavypredator?
     
    #6 mikro1n5, Jul 17, 2006
    Last edited: Jul 18, 2006
  7. Hamza

    Hamza Registered
    PartnerNOC

    Joined:
    Jul 6, 2005
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    I had 2 of my servers reinstalled yesterday, and they both have that problem, can't run upcp correctly which makes a crazy over load.

    Running CentOs 4.3 with cPanel
     
  8. heavypredator

    heavypredator Well-Known Member

    Joined:
    May 2, 2003
    Messages:
    93
    Likes Received:
    1
    Trophy Points:
    8
    rhe4

    well the error is still there and module is not compiling but it is not looping anymore
     
    #8 heavypredator, Jul 18, 2006
    Last edited: Jul 18, 2006
  9. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    There has been a new release of the version perl module (v0.651) which fixes this problem. If your local cpan mirror doesn't have it yet, download and install it from cpan.org itself.
     
  10. starweb

    starweb Member

    Joined:
    Sep 28, 2005
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    I tried that and am still getting errors like:

    Code:
    cpan> make version
    Running make for module version
    Running make for J/JP/JPEACOCK/version-0.651.tar.gz
      Is already unwrapped into directory /home/.cpan/build/version-0.651
    
      CPAN.pm: Going to build J/JP/JPEACOCK/version-0.651.tar.gz
    
    Testing if you have a C compiler
    Checking if your kit is complete...
    Looks good
    Writing Makefile for version::vxs
    Writing Makefile for version
    CPAN: YAML loaded ok
    cp lib/version.pm blib/lib/version.pm
    make[1]: Entering directory `/home/.cpan/build/version-0.651/vutil'
    cp lib/version/vxs.pm ../blib/lib/version/vxs.pm
    cc -c   -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O2   -DVERSION=\"0.651\" -DXS_VERSION=\"0.651\" -fpic "-I/usr/lib/perl5/5.8.7/i686-linux/CORE"   vutil.c
    /usr/bin/perl /usr/lib/perl5/5.8.7/ExtUtils/xsubpp  -typemap /usr/lib/perl5/5.8.7/ExtUtils/typemap -typemap ../lib/version/typemap  vxs.xs > vxs.xsc && mv vxs.xsc vxs.c
    cc -c   -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O2   -DVERSION=\"0.651\" -DXS_VERSION=\"0.651\" -fpic "-I/usr/lib/perl5/5.8.7/i686-linux/CORE"   vxs.c
    Running Mkbootstrap for version::vxs ()
    chmod 644 vxs.bs
    rm -f ../blib/arch/auto/version/vxs/vxs.so
    LD_RUN_PATH="" cc  -shared -L/usr/local/lib vutil.o vxs.o  -o ../blib/arch/auto/version/vxs/vxs.so
    chmod 755 ../blib/arch/auto/version/vxs/vxs.so
    cp vxs.bs ../blib/arch/auto/version/vxs/vxs.bs
    chmod 644 ../blib/arch/auto/version/vxs/vxs.bs
    make[1]: Leaving directory `/home/.cpan/build/version-0.651/vutil'
    /usr/bin/perl "-Iblib/arch" "-Iblib/lib" Build.PL Build
    Can't locate Module/Build.pm in @INC (@INC contains: blib/arch blib/lib /usr/lib/perl5/5.8.7/i686-linux /usr/lib/perl5/5.8.7 /usr/lib/perl5/site_perl/5.8.7/i686-linux /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl .) at Build.PL line 3.
    BEGIN failed--compilation aborted at Build.PL line 3.
    make: *** [Build] Error 2
      /usr/bin/make  -- NOT OK
    Failed during this command:
      JPEACOCK/version-0.651.tar.gz                : make NO
    
    any ideas?

    Thanks.
     
    #10 starweb, Jul 20, 2006
    Last edited: Jul 20, 2006
  11. starweb

    starweb Member

    Joined:
    Sep 28, 2005
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    Got it. installed ExtUtils::MakeMaker first.
     
  12. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Oooh, that's handy to know, thanks for posting it. I've actually had to be using a copy of version.pm on a working server to get out of the vicious loop on some systems.
     
Loading...

Share This Page